﻿// EasyUnicodePaster Version 1.3 - By: 2008 Eric Wong using Projects from www.codeproject.com
// August 28th, 2008
// Easy Unicode Paster is open source software licensed under GNU GENERAL PUBLIC LICENSE V3. 
// Use it as you wish, but you must share your source code under the terms of use of the license.

// Copyright (C) 2008 by Eric Wong. 
// VideoInPicture@gmail.com
// http://easyunicodepaster.wikidot.com
// http://circledock.wikidot.com
// http://videoinpicture.wikidot.com
// http://webcamsignature.wikidot.com

// Version 1.3 cleaned out all unnecessary code and add features such as size changing, font changing, and real time moving/resizing of the
//      program window.
// Version 1.2 fixes the flow layout of the buttons.
// Version 1.1 updates the program to handle a Config.ini file that specifies unicode characters using their XML numbers.

// Sends unicode characters to the application with focus by clicking on buttons. See Config.ini for changing settings.

// Uses AMS.Profile from http://www.codeproject.com/KB/cs/readwritexmlini.aspx (Open source)
// Uses hotkey selector component from http://www.codeproject.com/KB/miscctrl/systemhotkey.aspx

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;

namespace EasyUnicodePaster
{
    partial class ButtonSize : Form
    {
        EasyUnicodePaster parentForm;
        private bool programInitialized = false;

        public ButtonSize(EasyUnicodePaster sender)
        {
            parentForm = sender;
            InitializeComponent();
        }

        private void okButton_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void numericUpDownButtonWidth_ValueChanged(object sender, EventArgs e)
        {
            if (programInitialized == false)
                return;

            parentForm.changeButtonWidth((int)numericUpDownButtonWidth.Value);
        }

        private void numericUpDownButtonHeight_ValueChanged(object sender, EventArgs e)
        {
            if (programInitialized == false)
                return;

            parentForm.changeButtonHeight((int)numericUpDownButtonHeight.Value);
        }

        private void ButtonSize_Load(object sender, EventArgs e)
        {
            try
            {
                numericUpDownButtonWidth.Value = (decimal)parentForm._buttonWidth;
            }
            catch (Exception)
            {
                numericUpDownButtonWidth.Value = (decimal)numericUpDownButtonWidth.Minimum;
            }

            try
            {
                numericUpDownButtonHeight.Value = (decimal)parentForm._buttonHeight;
            }
            catch (Exception)
            {
                numericUpDownButtonHeight.Value = (decimal)numericUpDownButtonHeight.Maximum;
            }

            programInitialized = true;
        }
    }
}
